GPG-TUI(1)

NAME

gpg-tui - manage your GnuPG keys with ease

SYNOPSIS

gpg-tui [OPTIONS]

DESCRIPTION

gpg-tui is a Terminal User Interface for GnuPG.

It aims to ease the key management operations such as listing/exporting/signing by providing an interface along with the command-line fallback for more complex operations. It is not trying to be a full-fledged interface for all the features that gpg provides but it tries to bring a more interactive approach to key management.

OPTIONS

-a, --armor
    Enables ASCII armored output

--splash
    Shows the splash screen on startup

--config <path>
    Sets the configuration file [env: GPG_TUI_CONFIG=]

--homedir <dir>
    Sets the GnuPG home directory [env: GNUPGHOME=]

-o, --outdir <dir>
    Sets the output directory [env: OUTDIR=]

--outfile <path>
    Sets the template for the output file name [env: OUTFILE=]

-d, --default-key <key>
    Sets the default key to sign with [env: DEFAULT_KEY=]

-t, --tick-rate <ms>
    Sets the tick rate of the terminal [env: TICK_RATE=] [default: 250]

-c, --color <color>
    Sets the accent color of the terminal [env: COLOR=] [default: gray]

-s, --style <style>
    Sets the style of the terminal [env: STYLE=] [default: colored] [possible values: plain, colored]

-f, --file-explorer <app>
    Sets the utility for file selection [env: FILE_EXPLORER=] [default: xplr]

--detail-level <level>
    Sets the detail level for the keys [env: DETAIL_LEVEL=] [default: minimum] [possible values: minimum, standard, full]

--log-file <path>
    Sets the file to save the logs [env: LOG_FILE=]

--select <option>
    Enables the selection mode [env: SELECT=] [possible values: key_id, key_fpr, user_id, row1, row2]

-h, --help
    Prints help information

-V, --version
    Prints version information

KEY BINDINGS

  USER INTERFACE

Key Binding | Action
? | show help
o,space,enter | show options
hjkl,arrows,pgkeys | navigate
n | switch to normal mode
v | switch to visual mode
c | switch to copy mode
p,C-v | paste from clipboard
a | toggle armored output
1,2,3 | set detail level
t,tab | toggle detail (all/selected)
` | toggle table margin
m | toggle table size
C-s | toggle style
/ | search
: | run command
r,f5 | refresh application
q,C-c/d,escape | quit application

  KEY MANAGEMENT

Key Binding | Action
x | export key
s | sign key
e | edit key
i | import key(s)
f | receive key
u | send key
g | generate key
d,backspace | delete key
C-r | refresh keys

BUGS
Report bugs at <https://github.com/orhun/gpg-tui/issues> or contact the author via email.

AUTHOR
Orhun Parmaksız <orhunparmaksiz@gmail.com>

ABOUT

gpg-tui is maintained by Orhun Parmaksız, and released under the MIT license.

See the project homepage at <https://github.com/orhun/gpg-tui> for full documentation.

SEE ALSO

gpg-tui.toml(5)